"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const SwaggerParser = require("swagger-parser");
const writeYamlFile = require("write-yaml-file");
/**
 * Takes an OpenAPI spec and writes a new one with only inner references
 * @param param0
 */
function bundleApiSpec({ outPath, specFilePath, version }) {
    return __awaiter(this, void 0, void 0, function* () {
        const bundled = yield SwaggerParser.bundle(specFilePath);
        // overwrite version
        const edited = version
            ? Object.assign(Object.assign({}, bundled), { info: Object.assign(Object.assign({}, bundled.info), { version }) }) : bundled;
        return writeYamlFile(outPath, edited);
    });
}
exports.bundleApiSpec = bundleApiSpec;
//# sourceMappingURL=index.js.map