import { IGenerateSdkOptions, IGeneratorParams, IPackageAttributes, IRegistryAttributes } from "./types";
/**
 * Generate models as well as package scaffolding for a sdk that talks to a provided api spec
 * @param options
 */
export declare function generateSdk(options: IGenerateSdkOptions): Promise<void>;
/**
 * Renders all templates and return a hashmap in the form (filepath, renderedCode)
 * @param options
 */
export declare function renderAll(files: ReadonlyArray<string>, options: IPackageAttributes & IRegistryAttributes & IGeneratorParams): Promise<Record<string, string>>;
