export declare const DEFAULT_TEMPLATE_DIR: string;
/**
 * Create an instance of teh template engine.
 * Default filters are included along side custom filters
 * @param templateDir base directory for templates
 * @param customFilters list of custom filters to apply to the environment
 */
export declare const createTemplateEnvironment: ({ templateDir, customFilters }?: {
    templateDir?: string | undefined;
    customFilters?: Record<string, (...args: any[]) => any> | undefined;
}) => {
    render: (templateName: string, context?: object | undefined) => Promise<string>;
    options: {
        autoescape: boolean;
    };
};
export declare const defaultTemplateEnvironment: {
    render: (templateName: string, context?: object | undefined) => Promise<string>;
    options: {
        autoescape: boolean;
    };
};
