/**
 * Uppercase on first letter of a string
 * @param s string to be capitalized
 */
export declare function capitalize(s: string): string;
/**
 * Lowercase on first letter of a string
 * @param s string to be uncapitalized
 */
export declare function uncapitalize(s: string): string;
/**
 * Wrap a string in doublequote
 * @param s string to be wrapped
 */
export declare const doubleQuote: (s: string) => string;
/**
 * Converts an array of terms into a string representing a union of literals
 * @param arr array of literals to be converted
 * @param onEmpty what to return in case of empty union
 */
export declare const toUnionOfLiterals: (arr: string[], onEmpty?: string) => string;
/**
 * Renders a type or variable name extended with its generics, if any
 * Examples:
 * ("MyType") -> "MyType"
 * ("MyType", []) -> "MyType"
 * ("MyType", ["T1", "T2"]) -> "MyType<T1, T2>"
 * @param name type or variable to name to render
 * @param generics list of generics
 *
 * @returns rendered name
 */
export declare function withGenerics(name: string, generics?: string[]): string;
export declare const pipe: (...fns: ((a: any) => any)[]) => (value: any) => any;
